import { EVMAccountAddress, EVMContractAddress, TransactionResponseError } from "@snickerdoodlelabs/objects";
import { ethers } from "ethers";
import { ResultAsync } from "neverthrow";
export declare class WrappedTransactionResponse {
    txResponse: ethers.providers.TransactionResponse;
    contractAddress?: EVMContractAddress | undefined;
    signerAddress?: EVMAccountAddress | undefined;
    functionName?: string | undefined;
    functionParams?: string | undefined;
    abi?: string | undefined;
    constructor(txResponse: ethers.providers.TransactionResponse, contractAddress?: EVMContractAddress | undefined, signerAddress?: EVMAccountAddress | undefined, functionName?: string | undefined, functionParams?: string | undefined, abi?: string | undefined);
    wait(): ResultAsync<ethers.providers.TransactionReceipt, TransactionResponseError>;
}
//# sourceMappingURL=WrappedTransactionResponse.d.ts.map