export default {
    abi: [
        {
            inputs: [
                {
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "addDomain",
            outputs: [],
            stateMutability: "nonpayable",
            type: "function",
        },
        {
            inputs: [],
            name: "getDomains",
            outputs: [
                {
                    internalType: "string[]",
                    name: "domainsArr",
                    type: "string[]",
                },
            ],
            stateMutability: "view",
            type: "function",
        },
        {
            inputs: [
                {
                    internalType: "string",
                    name: "domain",
                    type: "string",
                },
            ],
            name: "removeDomain",
            outputs: [],
            stateMutability: "nonpayable",
            type: "function",
        },
    ],
};
//# sourceMappingURL=ERC7529Abi.js.map